function plot_data(img1,img2,displ_x,displ_y,c_c)
%*******************************************************
% Function to display the data obtained from the PIV analysis
%*******************************************************
% Input Parameters
% img1      = Reference frame 
% img2      = Second image
% displ_x   = Displacement obtained from cross correlation analysis
% displ_y   = Displacement in the other direction than x
% c_c       = Cross correlation Matrix
figure
imagesc(img1);
set(gca,'ydir','normal');
colormap('gray');
figure
imagesc(img2);
set(gca,'ydir','normal')
colormap('gray');
figure
if exist('x')==0
    x=0;
    y=0;
end
quiver(y,x,displ_y,displ_x,0,'-g');

if exist('c_c')~=0 % if there is a cross_correlation available
    figure
    x=-length(c_c(:,1))/2:length(c_c(:,1))/2-1;
    y=-length(c_c(1,:))/2:length(c_c(1,:))/2-1;
    contour(x,y,c_c,15); 
end
    